<?php
/*
* Plugin Name: Memoery
* Description: Use shortcode [memoery] to display the game wherever you want.
* Version: 1.0
* Author: Christopher Marx & Tim Wiegers
* Copyright Christopher Marx & Tim Wiegers, Virtueller Campus Rheinland-Pfalz (VCRP), https://www.vcrp.de
   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at
   http://www.apache.org/licenses/LICENSE-2.0
   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
*/

// register jquery and style on initialization
add_action( 'init', 'register_script' );

function register_script() {
	wp_register_script( 'custom_jquery', plugins_url( 'js/index.js', __FILE__ ), array( 'jquery' ), '2.5.1' );
	wp_register_script( 'jquery', 'http://cdnjs.cloudflare.com/ajax/libs/jquery/2.1.3/jquery.min.js' );
	wp_register_script( 'custom_jquery', plugins_url( 'js/index.js', __FILE__ ), array( 'jquery' ), '2.5.1' );
	wp_register_style( 'new_style', plugins_url( 'css/style.css', __FILE__ ), false, '1.0.0', 'all' );
}

// use the registered jquery and style above
add_action( 'wp_enqueue_scripts', 'enqueue_style' );

function enqueue_style() {
	wp_enqueue_script( 'custom_jquery' );
	wp_enqueue_script( 'jquery' );
	wp_enqueue_style( 'new_style' );
}


function memoery_game( $atts = [], $content = null ) {


	$output = '<div class="memoery-body"><div id="wrap-grid">
   <div class="header-logo-grid">
	   <div class="beschreibung"><img src="';
	$output .= plugins_url( 'vcrp-memoery/js/memoery_logo_1.png' );
	$output .= '" alt="Memoery Logo" title="Headerlogo des Memoerys"><div id="spielstand"><div id="num-moves">Züge: 0</div><div id="minutes">Zeit: 00:00</div><div id="seconds"></div></div>
	   </div>
	   <div id="anweisung">Ordne die Creative Commons Module ihren Beschreibungen zu!</div>
	   <div id="weitere-infos-headline">Erfahre mehr über Creative Commons Lizenzen!</div>
	  </div>
  <div class="game-container-grid">
  
<div id="game-grid">	
</div>
  <div class="oer-logo-grid"><a href="https://www.oer-at-rlp.de" target="_blank"><img src="';
	$output .= plugins_url( 'vcrp-memoery/js/oer_logo.png' );
	$output .= '" alt="OER Logo" width="200"><p>www.oer-at-rlp.de</p></a></div>
	  </div>
	  <div class="footer-infos-grid">';
	$output .= '
	  <p>Dieses Material steht unter einer Apache-Lizenz (<a style="color:#fff;" href="';
	$output .= plugins_url( 'vcrp-memoery/license.txt' );
	$output .= '" target="_blank">Lizenz</a>).
		  Dreifarbiges OER Logo von Markus Büsges (leomaria design) für Wikimedia Deutschland e. V., CC-BY-SA 3.0</p></div>
	
	<div class="modal-overlay-grid">
		<div class="modal-grid">
			<p id="winner-grid"></p>
			<button id="restart-grid">Nochmal spielen?</button>
			<button class="more-infos-grid">Weitere Informationen zu Creative Commons</button>
			
		</div>
	</div>

  </div></div>';




	return $output;
}

add_shortcode( 'memoery', 'memoery_game' );